# Webhook API

> Canonical URL: https://developers.apideck.com/apis/webhook/reference

Welcome to the Webhook API.

You can use this API to access all Webhook API endpoints.

## Base URL

The base URL for all API requests is `https://unify.apideck.com`

## Resources

### Webhooks

Full resource: [https://developers.apideck.com/md/apis/webhook/reference/webhooks.md](https://developers.apideck.com/md/apis/webhook/reference/webhooks.md)

- **GET /webhook/webhooks** — List webhook subscriptions · [markdown](https://developers.apideck.com/md/apis/webhook/reference/webhooks/webhooksAll.md)
- **POST /webhook/webhooks** — Create webhook subscription · [markdown](https://developers.apideck.com/md/apis/webhook/reference/webhooks/webhooksAdd.md)
- **GET /webhook/webhooks/{id}** — Get webhook subscription · [markdown](https://developers.apideck.com/md/apis/webhook/reference/webhooks/webhooksOne.md)
- **DELETE /webhook/webhooks/{id}** — Delete webhook subscription · [markdown](https://developers.apideck.com/md/apis/webhook/reference/webhooks/webhooksDelete.md)
- **PATCH /webhook/webhooks/{id}** — Update webhook subscription · [markdown](https://developers.apideck.com/md/apis/webhook/reference/webhooks/webhooksUpdate.md)
- **POST /webhook/webhooks/{id}/execute/{serviceId}** — Execute a webhook · [markdown](https://developers.apideck.com/md/apis/webhook/reference/webhooks/webhooksExecute.md)
- **POST /webhook/webhooks/{id}/x/{serviceId}** — Execute a webhook · [markdown](https://developers.apideck.com/md/apis/webhook/reference/webhooks/webhooksShortExecute.md)
- **GET /webhook/w/{id}/{serviceId}** — Resolve and Execute a connection webhook · [markdown](https://developers.apideck.com/md/apis/webhook/reference/webhooks/webhookVerify.md)
- **POST /webhook/w/{id}/{serviceId}** — Resolve and Execute a connection webhook · [markdown](https://developers.apideck.com/md/apis/webhook/reference/webhooks/webhooksResolve.md)
- **GET /webhook/logs** — List event logs · [markdown](https://developers.apideck.com/md/apis/webhook/reference/webhooks/eventLogsAll.md)
